{
    "name": "wapplersystems/meilisearch",
    "type": "typo3-cms-extension",
    "description": "Meilisearch for TYPO3",
    "license": "GPL-3.0-or-later",
    "keywords": [
        "typo3",
        "TYPO3 CMS",
        "meilisearch",
        "search"
    ],
    "authors": [
        {
            "name": "Sven Wappler",
            "email": "info@wappler.systems",
            "role": "Lead Developer"
        }
    ],
    "support": {
        "email": "info@wappler.systems",
        "issues": "https://github.com/WapplerSystems/meilisearch/issues",
        "source": "https://github.com/WapplerSystems/meilisearch"
    },
    "require": {
        "meilisearch/meilisearch-php": "^v0.17.1",
        "guzzlehttp/guzzle":"^6.0.0",
        "http-interop/http-factory-guzzle":"^1.0",
        "php": ">=7.2.0",
        "ext-json": "*",
        "typo3/cms-core": "^10.4.10",
        "typo3/cms-backend": "^10.4.10",
        "typo3/cms-extbase": "^10.4.10",
        "typo3/cms-frontend": "^10.4.10",
        "typo3/cms-fluid": "^10.4.10",
        "typo3/cms-reports": "^10.4.10",
        "typo3/cms-scheduler": "^10.4.10",
        "typo3/cms-tstemplate": "^10.4.10"
    },
    "require-dev": {
        "phpunit/phpunit": "^7.5.6 || ^8",
        "nimut/testing-framework": "^5.0.0"
    },
    "replace": {
    },
    "autoload": {
        "classmap": [
            "Resources/Private/Php/"
        ],
        "psr-4": {
            "WapplerSystems\\Meilisearch\\": "Classes/"
        }
    },
    "autoload-dev": {
        "psr-4": {
            "WapplerSystems\\Meilisearch\\Tests\\": "Tests/"
        }
    },
    "config": {
        "vendor-dir": ".Build/vendor",
        "bin-dir": ".Build/bin"
    },
    "scripts": {
        "post-autoload-dump": [
            "mkdir -p .Build/Web/typo3conf/ext/",
            "[ -L .Build/Web/typo3conf/ext/meilisearch ] || ln -snvf ../../../../. .Build/Web/typo3conf/ext/meilisearch"
        ],
        "extension-create-libs": [
            "@composer install -d Resources/Private/Php/ComposerLibraries"
        ],
        "extension-build": [
            "@extension-create-libs"
        ]
    },
    "extra": {
        "typo3/cms": {
            "extension-key": "meilisearch",
            "cms-package-dir": "{$vendor-dir}/typo3/cms",
            "web-dir": ".Build/Web"
        }
    }
}
